- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
anytrue
Complete List of ArrayFire Functions ArrayFire Functions by Category » Vector Algorithms » | Reduction operations

Find if of any of the values in input are true. More...

## Functions
AFAPI array | anyTrue (const array &in, const int dim=-1)
| C++ Interface for checking any true values in an array. More...
template<typename T >
T | anyTrue (const array &in)
| C++ Interface for checking if any values in an array are true. More...
AFAPI af_err | af_any_true (af_array *out, const af_array in, const int dim)
| C Interface for checking any true values in an array. More...
AFAPI af_err | af_any_true_all (double *real, double *imag, const af_array in)
| C Interface for checking if any values in an array are true. More...
template<typename T >
T | anytrue (const array &in)
| C++ Interface for checking if all values in an array are true. More...
AFAPI array | anytrue (const array &in, const int dim=-1)
| C++ Interface for checking any true values in an array. More...

## Detailed Description

Find if of any of the values in input are true.

This function performs the operation across all batches present in the input simultaneously.

## Function Documentation

AFAPI af_err af_any_true | ( | af_array * | out,
|  | const af_array | in,
|  | const int | dim
| ) |  |

C Interface for checking any true values in an array.

Parameters

  [out] | out | will contain the result of "or" operation all values in `in` along `dim`
  [in] | in | is the input array
  [in] | dim | The dimension along which the "or" operation occurs

Returns
  AF_SUCCESS if the execution completes properly

AFAPI af_err af_any_true_all | ( | double * | real,
|  | double * | imag,
|  | const af_array | in
| ) |  |

C Interface for checking if any values in an array are true.

Parameters

  [out] | real | is 1 if any value of input `in` is true, 0 otherwise.
  [out] | imag | is always set to 0.
  [in] | in | is the input array

Returns
  AF_SUCCESS if the execution completes properly

Note
  `imag` is always set to 0.

T af::anytrue | ( | const array & | in | ) |

C++ Interface for checking if all values in an array are true.

Parameters

  [in] | in | is the input array

Returns
  true if all values of `in` are true, false otherwise

Note
  NaN values are ignored

Deprecated:
  Use af::anyTrue(const array&) instead

AFAPI array af::anytrue | ( | const array & | in,
|  | const int | dim = `-1`
| ) |  |

C++ Interface for checking any true values in an array.

Parameters

  [in] | in | is the input array
  [in] | dim | The dimension along which the values are checked to be any true

Returns
  result of checking if values along dimension `dim` are any true

Note
  `dim` is -1 by default. -1 denotes the first non-singleton dimension.
  NaN values are ignored

Deprecated:
  Use af::anyTrue instead

AFAPI array af::anyTrue | ( | const array & | in,
|  | const int | dim = `-1`
| ) |  |

C++ Interface for checking any true values in an array.

Parameters

  [in] | in | is the input array
  [in] | dim | The dimension along which the values are checked to be any true

Returns
  result of checking if values along dimension `dim` are any true

Note
  `dim` is -1 by default. -1 denotes the first non-singleton dimension.
  NaN values are ignored

T af::anyTrue | ( | const array & | in | ) |

C++ Interface for checking if any values in an array are true.

Parameters

  [in] | in | is the input array

Returns
  true if any values of `in` are true, false otherwise

Note
  NaN values are ignored